### Method

# Clutter Text set_markup

#### Declaration [src]

    void
    clutter_text_set_markup (
      ClutterText* self,
      const gchar* markup
    )

#### Description [src]

Sets `markup` as the contents of a `ClutterText`.

This is a convenience function for setting a string containing Pango markup, and it is logically equivalent to:

      /&ast; the order is important &ast;/
      clutter_text_set_text (CLUTTER_TEXT (actor), markup);
      clutter_text_set_use_markup (CLUTTER_TEXT (actor), TRUE);

#### Parameters

`markup`

  Type: `const gchar*`

  A string containing Pango markup. Passing `NULL` is the same as passing “” (the empty string).

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.